import { 
	API_BASE_URL,
	API_URL_KEY,
} from './../constants/url';

export const API_URL_USER = {
	userExistsUserid: (usrid: string) => {
		return `${API_BASE_URL}/api/v1/${API_URL_KEY}/user/exists/${usrid}`;
	},
	userCreate: () => {
		// 사용자 추가
		return `${API_BASE_URL}/api/v1/${API_URL_KEY}/user/create`;
	},
	findUser: () => {
		return `${API_BASE_URL}/api/v1/${API_URL_KEY}/user/find`;
	},
	existsUserid: () => {
		return `${API_BASE_URL}/api/v1/${API_URL_KEY}/user/exists/userid`;
	},
	deleteUser: () => {
		return `${API_BASE_URL}/api/v1/${API_URL_KEY}/user/delete`;
	},
	createUser: () => {
		return `${API_BASE_URL}/api/v1/${API_URL_KEY}/user/create`;
	},
	findAuthMethod: () => {
		return `${API_BASE_URL}/api/v1/${API_URL_KEY}/user/tfa/find`;
	},
	modifyAuthMethod: () => {
		return `${API_BASE_URL}/api/v1/${API_URL_KEY}/user/tfa/modify`;
	},
	updatePermissions: () => {
		return `${API_BASE_URL}/api/v1/${API_URL_KEY}/user/permissions/update`;
	},
	findMenuPermissions: () => {
		return `${API_BASE_URL}/api/v1/${API_URL_KEY}/user/menu/permissions`;
	},
	saveMenuPermissions: () => {
		return `${API_BASE_URL}/api/v1/${API_URL_KEY}/user/menu/permissions/save`;
	},
	changePassword: () => {
		return `${API_BASE_URL}/api/v1/${API_URL_KEY}/user/password`;
	},
	userChangeCancelPassword: () => {
		return `${API_BASE_URL}/api/v1/${API_URL_KEY}/user/cancle/change`;
	},

	// 바로가기 메뉴 API
	shortcutDefault: () => {
		// 기본 바로가기 메뉴 조회
		return `${API_BASE_URL}/api/v1/${API_URL_KEY}/shortcut/default`;
	},
	shortcutSave: () => {
		// 바로가기 메뉴 저장
		return `${API_BASE_URL}/api/v1/${API_URL_KEY}/shortcut/save`;
	},
	shortcutUser: () => {
		// 사용자 바로가기 메뉴 조회
		return `${API_BASE_URL}/api/v1/${API_URL_KEY}/shortcut/user`;
	},

	// mid 로 사업자 정보 조회
	businessProperty: () => {
		return `${API_BASE_URL}/api/v1/${API_URL_KEY}/business-property`;
	},
}